> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hotelbeds Countries



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /accommodationapi/v1/getHotelbedsCountries
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /accommodationapi/v1/getHotelbedsCountries:
    post:
      tags:
        - accommodation-controller
      summary: Get Hotelbeds Countries
      operationId: getHotelbedsCountriesUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestData_object_'
        description: rq
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_CountriesRS_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    RequestData_object_:
      type: object
      properties:
        agentID:
          type: string
        data:
          type: object
        site:
          type: string
      title: RequestData«object»
    ResponseData_CountriesRS_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CountriesRS'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«CountriesRS»
    CountriesRS:
      type: object
      properties:
        auditData:
          $ref: '#/components/schemas/AuditData'
        countries:
          $ref: '#/components/schemas/Countries'
        from:
          type: integer
          xml:
            name: from
            attribute: false
            wrapped: false
        to:
          type: integer
          xml:
            name: to
            attribute: false
            wrapped: false
        total:
          type: integer
          xml:
            name: total
            attribute: false
            wrapped: false
      title: CountriesRS
      xml:
        name: countriesRS
        attribute: false
        wrapped: false
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    AuditData:
      type: object
      properties:
        environment:
          type: string
          xml:
            name: environment
            attribute: false
            wrapped: false
        processTime:
          type: string
          xml:
            name: processTime
            attribute: false
            wrapped: false
        release:
          type: string
          xml:
            name: release
            attribute: false
            wrapped: false
        requestHost:
          type: string
          xml:
            name: requestHost
            attribute: false
            wrapped: false
        serverId:
          type: string
          xml:
            name: serverId
            attribute: false
            wrapped: false
        timestamp:
          type: string
          xml:
            name: timestamp
            attribute: false
            wrapped: false
      title: AuditData
    Countries:
      type: object
      properties:
        country:
          type: array
          items:
            $ref: '#/components/schemas/Country'
      title: Countries
      xml:
        name: countries
        attribute: false
        wrapped: false
    Country:
      type: object
      properties:
        code:
          type: string
          xml:
            name: code
            attribute: true
            wrapped: false
        description:
          type: string
          xml:
            name: description
            attribute: false
            wrapped: false
      title: Country
      xml:
        name: country
        attribute: false
        wrapped: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.